framework:
    mailer:
        dsn: '%env(MAILER_DSN)%'
        message_bus: false

when@test: &mailer_test
    framework:
        cache:
            pools:
                test.mailer_pool:
                    adapter: cache.adapter.filesystem

when@test_cached: *mailer_test
sylius_mailer:
    sender:
        name: 'OTI Productions'
        address: 'no-reply@oti-productions.fr'

    emails:
        # --- Comptes (Shop) ---
        user_registration:
            subject: 'Bienvenue sur OTI Productions'
            template: '@SyliusShop/email/user_registration.html.twig'
            enabled: true

        verification_token:
            subject: 'Vérifiez votre adresse e-mail'
            template: '@SyliusShop/email/verification.html.twig'
            enabled: true

        reset_password_token:
            subject: 'Réinitialisez votre mot de passe'
            template: '@SyliusShop/email/password_reset.html.twig'
            enabled: true

        # --- Commandes (tes mails existants) ---
        order_confirmation:
            subject: 'Confirmation de commande'
            template: '@SyliusShop/email/order_confirmation.html.twig'
            enabled: false

        order_payment:
            subject: 'Votre paiement est confirmé'
            template: '@SyliusShop/email/order_payment.html.twig'
            enabled: true

        order_admin_notification:
            subject: 'Nouvelle commande reçue'
            template: '@SyliusShop/email/order_admin_notification.html.twig'
            enabled: true
